﻿@using AdminCaja.Areas.Admin.Models
@using AdminCaja.Helpers

@model PaggedData
<br>
<div class="resultados">
    <p>Resultados encontrados: <strong>@Model.Items</strong></p>
</div>
@{
    var siguiente = Model.CurrentPage + 1;
    var anterior = Model.CurrentPage - 1;
}
<nav aria-label="Page navigation example" class="paginado">
    <ul class="pagination justify-content-end">
        @if (Model.CurrentPage == 1)
        {
            <li class="page-item disabled"> <a class="page-link" href="#" tabindex="-1">Anterior</a> </li>
        }
        else
        {
            <li class="page-item"> <a class="page-link" href="gotoPage(@anterior)" tabindex="-1">Anterior</a> </li>
        }

        @for (int i = 1; i < Model.Pages + 1; i++)
        {
            if (i == Model.CurrentPage)
            {
                <li class="page-item active"><a class="page-link" href="#">@i</a></li>
            }
            else
            {
                <li class="page-item"><a class="page-link" href="#" onclick="gotoPage(@i)">@i</a></li>
            }
        }
        @if (Model.CurrentPage == Model.Pages || Model.Pages == 0)
        {
            <li class="page-item disabled"> <a class="page-link" href="#">Siguiente</a> </li>
        }
        else
        {
            <li class="page-item"> <a class="page-link" href="gotoPage(@siguiente)">Siguiente</a> </li>
        }

        @using (Html.BeginScripts())
        {
            <script>
                function setUrlParameter(url, key, value) {
                    var key = encodeURIComponent(key),
                        value = encodeURIComponent(value);

                    var baseUrl = url.split('?')[0],
                        newParam = key + '=' + value,
                        params = '?' + newParam;

                    if (url.split('?')[1] == undefined){ // if there are no query strings, make urlQueryString empty
                        urlQueryString = '';
                    } else {
                        urlQueryString = '?' + url.split('?')[1];
                    }

                    // If the "search" string exists, then build params from it
                    if (urlQueryString) {
                        var updateRegex = new RegExp('([\?&])' + key + '[^&]*');
                        var removeRegex = new RegExp('([\?&])' + key + '=[^&;]+[&;]?');

                        if (typeof value === 'undefined' || value === null || value === "") { // Remove param if value is empty
                            params = urlQueryString.replace(removeRegex, "$1");
                            params = params.replace(/[&;]$/, "");
            
                        } else if (urlQueryString.match(updateRegex) !== null) { // If param exists already, update it
                            params = urlQueryString.replace(updateRegex, "$1" + newParam);
            
                        } else if (urlQueryString=="") { // If there are no query strings
                            params = '?' + newParam;
                        } else { // Otherwise, add it to end of query string
                            params = urlQueryString + '&' + newParam;
                        }
    }
                function gotoPage(page) {
                    var href = window.location.href;
                    window.location.href = setUrlParameter(href," Page=", page);
                }
            </script>
        }
    </ul>
</nav>

